#ifndef __SHAPE_OP_TABLE__
#define __SHAPE_OP_TABLE__
#include "table.h"

void mexFunction( int nlhs, mxArray *plhs[], int nrhs, const mxArray*prhs[] )
{
  Shape shape;
  Table table;
  if ( nrhs != 1 ) 
    mexErrMsgTxt("Needs one argument.");
  if (! mxIsClass(prhs[0],"shape") ) 
    mexErrMsgTxt("Argument not a shape.");
  shape = shape_readmxarray(prhs[0]);
  table = table_new(shape);
  elemop_name(table);
  plhs[0] = table_writemxarray(table);
  shape_free(shape);
  table_free(table);
}

#endif
