#ifndef __SHAPE_REF__
#define __SHAPE_REF__
#include "shape.h"

void mexFunction(int nlhs, mxArray *plhs[], int nrhs, const mxArray *prhs[])
{
  Shape ii, oo;
  Index jj;

  if ( nrhs != 2) 
    mexErrMsgTxt("Need exactly two arguments.");
  ii = shape_readmxarray(prhs[0]);
  jj = index_readmxarray(prhs[1]);
  oo = shape_ref(ii,jj);
  plhs[0] = mxDuplicateArray(prhs[0]);
  shape_rewritemxarray(plhs[0],oo);
  shape_free(ii);
  index_free(jj);
  shape_free(oo);
}

#endif
