#ifndef __TABLE_OP_2ARG__
#define __TABLE_OP_2ARG__
#include "table.h"

void mexFunction(int nlhs, mxArray *plhs[], int nrhs, const mxArray*prhs[])  
{                                                                            
  Table ii, jj, oo;                                                          
  int nn;                                                                    
  if ( nrhs != 2 )                                                           
    mexErrMsgTxt("Two arguments expected.");                                 
  ii = table_readmxarray(prhs[0]);                                           
  jj = table_readmxarray(prhs[1]);                                           
  if (! shape_consistent(table_shape(ii), table_shape(jj)) )                               
    mexErrMsgTxt("Inconsistent shapes.");                                    
    oo = elemop_name(ii,jj);                                           
  plhs[0] = mxDuplicateArray(prhs[0]);
  table_rewritemxarray(plhs[0],oo);                                          
  table_free(ii);                                                            
  table_free(jj);                                                            
  table_free(oo);                                                            
}

#endif
